import gleam/dynamic/decode.{type Decoder}
import spacetraders_models/reactor_symbol.{type ReactorSymbol}

pub type ScannedShipReactor {
  ScannedShipReactor(symbol: ReactorSymbol)
}

pub fn decoder() -> Decoder(ScannedShipReactor) {
  use symbol <- decode.field("symbol", reactor_symbol.decoder())
  decode.success(ScannedShipReactor(symbol:))
}
