import birl.{type Time}
import gleam/dynamic/decode.{type Decoder}
import spacetraders_sdk/internal/time

pub type ShipFuelConsumed {
  ShipFuelConsumed(amount: Int, timestamp: Time)
}

pub fn decoder() -> Decoder(ShipFuelConsumed) {
  use amount <- decode.field("amount", decode.int)
  use timestamp <- decode.field("timestamp", time.datetime_decoder())
  decode.success(ShipFuelConsumed(amount:, timestamp:))
}
