import gleam/dynamic/decode.{type Decoder}
import spacetraders_models/faction_symbol.{type FactionSymbol}

pub type SystemFaction {
  SystemFaction(symbol: FactionSymbol)
}

pub fn decoder() -> Decoder(SystemFaction) {
  use symbol <- decode.field("symbol", faction_symbol.decoder())
  decode.success(SystemFaction(symbol:))
}
