import spacetraders_sdk/internal/api

pub type ApiResponse(data) =
  api.ApiResponse(data)

pub type ApiError =
  api.ApiError

pub type ErrorResponse =
  api.ErrorResponse

pub type PagedData(data) =
  api.PagedData(data)

pub type AccountToken =
  api.AccountToken

pub type AgentToken =
  api.AgentToken

pub type TokenParseError =
  api.TokenParseError

pub type AuthMethod =
  api.AuthMethod

pub const parse_account_token = api.parse_account_token

pub const account_token_decoder = api.account_token_decoder

pub const parse_agent_token = api.parse_agent_token

pub const agent_token_decoder = api.agent_token_decoder
