import gleeunit
import spacetraders_api
import spacetraders_sdk_test/env

pub fn main() -> Nil {
  gleeunit.main()
}

pub fn status_test() {
  let assert Ok(_) = spacetraders_api.get_server_status()
}

pub fn error_codes_test() {
  let assert Ok(_) = spacetraders_api.list_error_codes()
}

pub fn account_test() {
  let assert Ok(_) =
    spacetraders_api.get_account(env.load_dotenv_unsafe().agent_token)
}

pub fn supply_chain_test() {
  let assert Ok(_) = spacetraders_api.get_supply_chain()
}
