import gleam/dynamic/decode.{type Decoder}
import spacetraders_models/trade_symbol.{type TradeSymbol}

pub type RefinementYield {
  RefinementYield(trade_symbol: TradeSymbol, units: Int)
}

pub fn decoder() -> Decoder(RefinementYield) {
  use trade_symbol <- decode.field("tradeSymbol", trade_symbol.decoder())
  use units <- decode.field("units", decode.int)
  decode.success(RefinementYield(trade_symbol:, units:))
}
